#!/bin/bash

# These two scripts tests the ability of statist of opening files 
# with different formats.
#
# Meaning of file names:
#    "has a header with variable names" + "decimal delimiter"
#    "is data double quoted" + "field separator"
#
# This script always uses the options "--dec" and "--sep". The goal is to
# test the algorithm robustness. 

export LC_ALL=C
export LC_LANGUAGE=C
export LC_LANG=C

st="/usr/local/bin/statist"

menu="1
1
0
0
"

rm results
touch statist.log

echo "
====================================================

" >> results

echo com_noq_comma
echo "$menu" | $st com_noq_comma --dec "," --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo com_noq_space 
echo "$menu" | $st com_noq_space --dec "," --sep " " --silent --log --dec "," > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo com_quo_comma 
echo "$menu" | $st com_quo_comma --dec "," --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo com_quo_space 
echo "$menu" | $st com_quo_space --dec "," --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo dot_noq_comma 
echo "$menu" | $st dot_noq_comma --dec "." --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo dot_noq_space 
echo "$menu" | $st dot_noq_space --dec "." --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo dot_quo_comma 
echo "$menu" | $st dot_quo_comma --dec "." --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo dot_quo_space 
echo "$menu" | $st dot_quo_space --dec "." --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_noq_comma
echo "$menu" | $st h_com_noq_comma --dec "," --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_noq_space 
echo "$menu" | $st h_com_noq_space --dec "," --sep " " --silent --log --dec "," > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_quo_comma 
echo "$menu" | $st h_com_quo_comma --dec "," --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_quo_space 
echo "$menu" | $st h_com_quo_space --dec "," --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_noq_comma 
echo "$menu" | $st h_dot_noq_comma --dec "." --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_noq_space 
echo "$menu" | $st h_dot_noq_space --dec "." --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_quo_comma 
echo "$menu" | $st h_dot_quo_comma --dec "." --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_quo_space 
echo "$menu" | $st h_dot_quo_space --dec "." --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_noq_comma.dat
echo "$menu" | $st h_com_noq_comma.dat --dec "," --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_noq_space.dat
echo "$menu" | $st h_com_noq_space.dat --dec "," --sep " " --silent --log --dec "," > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_quo_comma.dat
echo "$menu" | $st h_com_quo_comma.dat --dec "," --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_com_quo_space.dat
echo "$menu" | $st h_com_quo_space.dat --dec "," --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_noq_comma.dat
echo "$menu" | $st h_dot_noq_comma.dat --dec "." --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_noq_space.dat
echo "$menu" | $st h_dot_noq_space.dat --dec "." --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_quo_comma.dat
echo "$menu" | $st h_dot_quo_comma.dat --dec "." --sep "," --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results

echo h_dot_quo_space.dat
echo "$menu" | $st h_dot_quo_space.dat --dec "." --sep " " --silent --log > /dev/null
cat statist.log >> results
echo "
====================================================

" >> results


rm statist.log

echo "
Please, look at \"results\". The output of all runs should 
be similar to this:

====================================================


Source file = h_dot_quo_space

Variable 1 = Column v1
Variable 2 = Column v2
Variable 3 = Column v3
Data from columns:
               v1         v2         v3 
    1:        1.1        1.2        1.3 
    2:        2.1        2.2        2.3 
    3:        3.1        3.2        3.3 

====================================================

"




